Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class OptionTransferSelectTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractListTag
                              org.apache.struts2.views.jsp.ui.AbstractRequiredListTag
                                  org.apache.struts2.views.jsp.ui.AbstractDoubleListTag
                                      org.apache.struts2.views.jsp.ui.OptionTransferSelectTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class OptionTransferSelectTag

extends AbstractDoubleListTag

OptionTransferSelect jsp tag.

See Also:
  Serialized Form

Field Summary
`protected String` | `addAllToLeftLabel`
`protected String` | `addAllToRightLabel`
`protected String` | `addToLeftLabel`
`protected String` | `addToRightLabel`
`protected String` | `allowAddAllToLeft`
`protected String` | `allowAddAllToRight`
`protected String` | `allowAddToLeft`
`protected String` | `allowAddToRight`
`protected String` | `allowSelectAll`
`protected String` | `allowUpDownOnLeft`
`protected String` | `allowUpDownOnRight`
`protected String` | `buttonCssClass`
`protected String` | `buttonCssStyle`
`protected String` | `leftDownLabel`
`protected String` | `leftTitle`
`protected String` | `leftUpLabel`
`protected String` | `rightDownLabel`
`protected String` | `rightTitle`
`protected String` | `rightUpLabel`
`protected String` | `selectAllLabel`
`private static long` | `serialVersionUID`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractDoubleListTag
`doubleAccesskey, doubleCssClass, doubleCssStyle, doubleDisabled, doubleEmptyOption, doubleHeaderKey, doubleHeaderValue, doubleId, doubleList, doubleListKey, doubleListValue, doubleMultiple, doubleName, doubleOnblur, doubleOnchange, doubleOnclick, doubleOndblclick, doubleOnfocus, doubleOnkeydown, doubleOnkeypress, doubleOnkeyup, doubleOnmousedown, doubleOnmousemove, doubleOnmouseout, doubleOnmouseover, doubleOnmouseup, doubleOnselect, doubleSize, doubleValue, emptyOption, formName, headerKey, headerValue, multiple, size`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`list, listKey, listValue`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssStyle, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`OptionTransferSelectTag()`

Method Summary
`String` | `getAddAllToLeftLabel()`
`String` | `getAddAllToRightLabel()`
`String` | `getAddToLeftLabel()`
`String` | `getAddToRightLabel()`
`String` | `getAllowAddAllToLeft()`
`String` | `getAllowAddAllToRight()`
`String` | `getAllowAddToLeft()`
`String` | `getAllowAddToRight()`
`String` | `getAllowSelectAll()`
`String` | `getAllowUpDownOnLeft()`
`String` | `getAllowUpDownOnRight()`
`Component` | `getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`
`String` | `getButtonCssClass()`
`String` | `getButtonCssStyle()`
`String` | `getLeftDownLabel()`
`String` | `getLeftTitle()`
`String` | `getLeftUpLabel()`
`String` | `getRightDownLabel()`
`String` | `getRightTitle()`
`String` | `getRightUpLabel()`
`String` | `getSelectAllLabel()`
`protected void` | `populateParams()`
`void` | `setAddAllToLeftLabel(String addAllToLeftLabel)`
`void` | `setAddAllToRightLabel(String addAllToRightLabel)`
`void` | `setAddToLeftLabel(String addToLeftLabel)`
`void` | `setAddToRightLabel(String addToRightLabel)`
`void` | `setAllowAddAllToLeft(String allowAddAllToLeft)`
`void` | `setAllowAddAllToRight(String allowAddAllToRight)`
`void` | `setAllowAddToLeft(String allowAddToLeft)`
`void` | `setAllowAddToRight(String allowAddToRight)`
`void` | `setAllowSelectAll(String allowSelectAll)`
`void` | `setAllowUpDownOnLeft(String allowUpDownOnLeft)`
`void` | `setAllowUpDownOnRight(String allowUpDownOnRight)`
`void` | `setButtonCssClass(String buttonCssId)`
`void` | `setButtonCssStyle(String buttonCssStyle)`
`void` | `setLeftDownLabel(String leftDownLabel)`
`void` | `setLeftTitle(String leftTitle)`
`void` | `setLeftUpLabel(String leftUpLabel)`
`void` | `setRightDownLabel(String rightDownLabel)`
`void` | `setRightTitle(String rightTitle)`
`void` | `setRightUpLabel(String rightUpLabel)`
`void` | `setSelectAllLabel(String selectAllLabel)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractDoubleListTag
`getDoubleCssClass, getDoubleCssStyle, getDoubleDisabled, getDoubleEmptyOption, getDoubleHeaderKey, getDoubleHeaderValue, getDoubleId, getDoubleList, getDoubleListKey, getDoubleListValue, getDoubleMultiple, getDoubleName, getDoubleOnblur, getDoubleOnchange, getDoubleOnclick, getDoubleOndblclick, getDoubleOnfocus, getDoubleOnkeydown, getDoubleOnkeypress, getDoubleOnkeyup, getDoubleOnmousedown, getDoubleOnmousemove, getDoubleOnmouseout, getDoubleOnmouseover, getDoubleOnmouseup, getDoubleOnselect, getDoubleSize, getDoubleValue, getFormName, setDoubleAccesskey, setDoubleCssClass, setDoubleCssStyle, setDoubleDisabled, setDoubleEmptyOption, setDoubleHeaderKey, setDoubleHeaderValue, setDoubleId, setDoubleList, setDoubleListKey, setDoubleListValue, setDoubleMultiple, setDoubleName, setDoubleOnblur, setDoubleOnchange, setDoubleOnclick, setDoubleOndblclick, setDoubleOnfocus, setDoubleOnkeydown, setDoubleOnkeypress, setDoubleOnkeyup, setDoubleOnmousedown, setDoubleOnmousemove, setDoubleOnmouseout, setDoubleOnmouseover, setDoubleOnmouseup, setDoubleOnselect, setDoubleSize, setDoubleValue, setEmptyOption, setFormName, setHeaderKey, setHeaderValue, setMultiple, setSize`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractListTag
`setList, setListKey, setListValue`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssStyle, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`altSyntax, findString, findValue, findValue, getBody, getStack, setId, toString, translateVariables`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### allowAddToLeft

    protected String allowAddToLeft

### allowAddToRight

    protected String allowAddToRight

### allowAddAllToLeft

    protected String allowAddAllToLeft

### allowAddAllToRight

    protected String allowAddAllToRight

### allowSelectAll

    protected String allowSelectAll

### allowUpDownOnLeft

    protected String allowUpDownOnLeft

### allowUpDownOnRight

    protected String allowUpDownOnRight

### leftTitle

    protected String leftTitle

### rightTitle

    protected String rightTitle

### buttonCssClass

    protected String buttonCssClass

### buttonCssStyle

    protected String buttonCssStyle

### addToLeftLabel

    protected String addToLeftLabel

### addToRightLabel

    protected String addToRightLabel

### addAllToLeftLabel

    protected String addAllToLeftLabel

### addAllToRightLabel

    protected String addAllToRightLabel

### selectAllLabel

    protected String selectAllLabel

### leftUpLabel

    protected String leftUpLabel

### leftDownLabel

    protected String leftDownLabel

### rightUpLabel

    protected String rightUpLabel

### rightDownLabel

    protected String rightDownLabel

Constructor Detail

### OptionTransferSelectTag

    public OptionTransferSelectTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             HttpServletRequest req,
                             HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractDoubleListTag`

### getAddAllToLeftLabel

    public String getAddAllToLeftLabel()

### setAddAllToLeftLabel

    public void setAddAllToLeftLabel(String addAllToLeftLabel)

### getAddAllToRightLabel

    public String getAddAllToRightLabel()

### setAddAllToRightLabel

    public void setAddAllToRightLabel(String addAllToRightLabel)

### getAddToLeftLabel

    public String getAddToLeftLabel()

### setAddToLeftLabel

    public void setAddToLeftLabel(String addToLeftLabel)

### getAddToRightLabel

    public String getAddToRightLabel()

### setAddToRightLabel

    public void setAddToRightLabel(String addToRightLabel)

### getAllowAddAllToLeft

    public String getAllowAddAllToLeft()

### setAllowAddAllToLeft

    public void setAllowAddAllToLeft(String allowAddAllToLeft)

### getAllowAddAllToRight

    public String getAllowAddAllToRight()

### setAllowAddAllToRight

    public void setAllowAddAllToRight(String allowAddAllToRight)

### getAllowAddToLeft

    public String getAllowAddToLeft()

### setAllowAddToLeft

    public void setAllowAddToLeft(String allowAddToLeft)

### getAllowAddToRight

    public String getAllowAddToRight()

### setAllowAddToRight

    public void setAllowAddToRight(String allowAddToRight)

### getAllowUpDownOnLeft

    public String getAllowUpDownOnLeft()

### setAllowUpDownOnLeft

    public void setAllowUpDownOnLeft(String allowUpDownOnLeft)

### getAllowUpDownOnRight

    public String getAllowUpDownOnRight()

### setAllowUpDownOnRight

    public void setAllowUpDownOnRight(String allowUpDownOnRight)

### getLeftUpLabel

    public String getLeftUpLabel()

### setLeftUpLabel

    public void setLeftUpLabel(String leftUpLabel)

### getLeftDownLabel

    public String getLeftDownLabel()

### setLeftDownLabel

    public void setLeftDownLabel(String leftDownLabel)

### getRightUpLabel

    public String getRightUpLabel()

### setRightUpLabel

    public void setRightUpLabel(String rightUpLabel)

### getRightDownLabel

    public String getRightDownLabel()

### setRightDownLabel

    public void setRightDownLabel(String rightDownLabel)

### getLeftTitle

    public String getLeftTitle()

### setLeftTitle

    public void setLeftTitle(String leftTitle)

### getRightTitle

    public String getRightTitle()

### setRightTitle

    public void setRightTitle(String rightTitle)

### setAllowSelectAll

    public void setAllowSelectAll(String allowSelectAll)

### getAllowSelectAll

    public String getAllowSelectAll()

### setSelectAllLabel

    public void setSelectAllLabel(String selectAllLabel)

### getSelectAllLabel

    public String getSelectAllLabel()

### setButtonCssClass

    public void setButtonCssClass(String buttonCssId)

### getButtonCssClass

    public String getButtonCssClass()

### setButtonCssStyle

    public void setButtonCssStyle(String buttonCssStyle)

### getButtonCssStyle

    public String getButtonCssStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.